
Foreman - Bug #4008

Disable 'build mode' unsuccessful

01/14/2014 07:43 AM - Thomas Linck

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We have a foreman instance runnning with puppet on a debian host with following versions:

Foreman from packages Version : 1.3.1-1

Puppet from packages Version : 2.7.23-1~deb7u1

We had to change some items name for functional purpose. We updated name of hostgroup, templates, classes ...

Since this name update we are not able to disable 'build mode' on all hosts. Gui returns an error message like 'Failed to cancel

pending build for <hostname>'.

In error log this message is related to the following extract:

Started GET "/hosts/<hostname>.localdomain/cancelBuild" for <myIpAddr> at 2014-01-14 07:30:41 +000

0

Processing by HostsController#cancelBuild as HTML

  Parameters: {"id"=>"<hostname>.localdomain"}

Add the TFTP configuration for <hostname>.localdomain

Failed to generate PXELinux template: undefined method `template' for nil:NilClass

Delete the autosign entry for <hostname>.localdomain

Rolling back due to a problem: []

Adding autosign entry for <hostname>.localdomain

Delete the TFTP configuration for <hostname>.localdomain

Failed to save: Failed to generate PXELinux template: undefined method `template' for nil:NilClass

Redirected to https://foreman/hosts/<hostname>.localdomain

Completed 302 Found in 702.1ms (ActiveRecord: 17.2ms)

 As we gave Foreman an important role in our production system, this issue is really relevant to us and is not compatible with

production system.

Please check this issue as soon as possible as it really matters to us.

For any further informations, let me know.

Related issues:

Is duplicate of Foreman - Bug #2792: If you delete "PXE Localboot Default" ca... New 07/15/2013

History

#1 - 01/14/2014 08:22 AM - Dominic Cleal

- translation missing: en.field_release deleted (1)

#2 - 01/14/2014 08:27 AM - Dominic Cleal

- Is duplicate of Bug #2792: If you delete "PXE Localboot Default" cancel build fails added

#3 - 01/14/2014 08:28 AM - Dominic Cleal

- Status changed from New to Feedback

This error suggests to me the PXELinux localboot template can't be resolved for the host.  The name of these is important as Foreman searches for
them in order to rewrite the menu on the TFTP server, but it will let you rename them, even though you shouldn't.

Please rename the localboot template(s) back to the original name and that should resolve the issue.

#4 - 01/14/2014 08:44 AM - Thomas Linck

Thank you Dominic for your help.

I think I never had this template, the one used for built host (localboot) seems to be named : "PXE Default File".

It's the only template I have remaining from default installation I think.

This template was not anymore of 'Kind' 'PXELinux' so I set it back to 'PXELinux'(empty before), didn't solve the issue.

Should I add "the PXELinux localboot template"? I mean, with this exact name? Rename "PXE Default File" to "PXELinux localboot" ?

#5 - 01/14/2014 08:48 AM - Dominic Cleal

The PXE default file is used as the global default, not for local booting when build mode is disabled, so leave that one along.

You can copy the one here and add it with the name "PXE Localboot Default":

https://github.com/theforeman/community-templates/blob/master/pxe/PXELinux_local.erb

#6 - 01/14/2014 09:25 AM - Thomas Linck

Perfectly solved the issue.

I can't update issue status but for me it can be closed.

Thank's again.

#7 - 01/14/2014 10:13 AM - Dominic Cleal

- Status changed from Feedback to Duplicate

Good to hear, thanks.
